

<!DOCTYPE html>

<html lang="ja">
  <head>
    <meta charset="utf-8" />
    <meta name="viewport" content="width=device-width, initial-scale=1.0" />
    <title>7.7.2.1. NormalizerAuto &#8212; Groonga v10.1.1-31-g1e46ba6ドキュメント</title>
    <link rel="stylesheet" href="../../_static/groonga.css" type="text/css" />
    <link rel="stylesheet" href="../../_static/pygments.css" type="text/css" />
    
    <script id="documentation_options" data-url_root="../../" src="../../_static/documentation_options.js"></script>
    <script src="../../_static/jquery.js"></script>
    <script src="../../_static/underscore.js"></script>
    <script src="../../_static/doctools.js"></script>
    <script src="../../_static/language_data.js"></script>
    <script src="../../_static/translations.js"></script>
    
    <link rel="shortcut icon" href="../../_static/favicon.ico"/>
    <link rel="index" title="索引" href="../../genindex.html" />
    <link rel="search" title="検索" href="../../search.html" />
    <link rel="next" title="7.7.2.2. NormalizerNFKC100" href="normalizer_nfkc100.html" />
    <link rel="prev" title="7.7. ノーマライザー" href="../normalizers.html" /> 
  </head><body>
<div class="header">
  <h1 class="title">
    <a id="top-link" href="../../index.html">
      <span class="project">groonga</span>
      <span class="separator">-</span>
      <span class="description">オープンソースのカラムストア機能付き全文検索エンジン</span>
    </a>
  </h1>

  <div class="other-language-links">
    <ul>
      <li><a href="../../../../en/html/reference/normalizers/normalizer_auto.html">English</a></li>
    </ul>
  </div>
</div>
  

    <div class="related" role="navigation" aria-label="related navigation">
      <h3>ナビゲーション</h3>
      <ul>
        <li class="right" style="margin-right: 10px">
          <a href="../../genindex.html" title="総合索引"
             accesskey="I">索引</a></li>
        <li class="right" >
          <a href="normalizer_nfkc100.html" title="7.7.2.2. NormalizerNFKC100"
             accesskey="N">次へ</a> |</li>
        <li class="right" >
          <a href="../normalizers.html" title="7.7. ノーマライザー"
             accesskey="P">前へ</a> |</li>
        <li class="nav-item nav-item-0"><a href="../../index.html">Groonga v10.1.1-31-g1e46ba6ドキュメント</a> &#187;</li>
          <li class="nav-item nav-item-1"><a href="../../reference.html" ><span class="section-number">7. </span>リファレンスマニュアル</a> &#187;</li>
          <li class="nav-item nav-item-2"><a href="../normalizers.html" accesskey="U"><span class="section-number">7.7. </span>ノーマライザー</a> &#187;</li>
        <li class="nav-item nav-item-this"><a href=""><span class="section-number">7.7.2.1. </span><code class="docutils literal notranslate"><span class="pre">NormalizerAuto</span></code></a></li> 
      </ul>
    </div>  

    <div class="document">
      <div class="documentwrapper">
        <div class="bodywrapper">
          <div class="body" role="main">
            
  <div class="section" id="normalizerauto">
<span id="normalizer-auto"></span><h1><span class="section-number">7.7.2.1. </span><code class="docutils literal notranslate"><span class="pre">NormalizerAuto</span></code><a class="headerlink" href="#normalizerauto" title="このヘッドラインへのパーマリンク">¶</a></h1>
<div class="section" id="summary">
<h2><span class="section-number">7.7.2.1.1. </span>概要<a class="headerlink" href="#summary" title="このヘッドラインへのパーマリンク">¶</a></h2>
<p>通常は <code class="docutils literal notranslate"><span class="pre">NormalizerAuto</span></code> ノーマライザーを使うべきです。 <code class="docutils literal notranslate"><span class="pre">NormalizerAuto</span></code> はGroonga 2.0.9以前で使っていたノーマライザーと同じものです。2.0.9以前のGroongaの <code class="docutils literal notranslate"><span class="pre">table_create</span></code> の <code class="docutils literal notranslate"><span class="pre">KEY_NORMALIZE</span></code> フラグは、2.1.0以降のGroongaの <code class="docutils literal notranslate"><span class="pre">table_create</span></code> の <code class="docutils literal notranslate"><span class="pre">--normalizer</span> <span class="pre">NormalizerAuto</span></code> と同じです。</p>
<p><code class="docutils literal notranslate"><span class="pre">NormalizerAuto</span></code> はすべてのエンコーディングに対応しています。UTF-8でエンコードされたテキストにはUnicodeのNFKC（Normalization Form Compatibility Composition）を使います。他のエンコーディング用にはエンコーディング毎に独自の正規化をします。これらの独自の正規化の結果はNFKCでの結果と似たものになります。</p>
</div>
<div class="section" id="syntax">
<h2><span class="section-number">7.7.2.1.2. </span>構文<a class="headerlink" href="#syntax" title="このヘッドラインへのパーマリンク">¶</a></h2>
<p><code class="docutils literal notranslate"><span class="pre">NormalizerAuto</span></code> には引数はありません。:</p>
<div class="highlight-none notranslate"><div class="highlight"><pre><span></span>NormalizerAuto
</pre></div>
</div>
</div>
<div class="section" id="usage">
<h2><span class="section-number">7.7.2.1.3. </span>使い方<a class="headerlink" href="#usage" title="このヘッドラインへのパーマリンク">¶</a></h2>
<p><code class="docutils literal notranslate"><span class="pre">NormalizerAuto</span></code> は、半角カタカナ（例えば「ｶ」: U+FF76 HALFWIDTH KATAKANA LETTER KA） + 半角カタカナの濁点（「ﾞ」: U+FF9E HALFWIDTH KATAKANA VOICED SOUND MARK）を濁点付きの全角カタカナ（「ガ」: U+30AC KATAKANA LETTER GA）に正規化します。前者は2文字ですが、後者は1文字です。</p>
<p>以下は <code class="docutils literal notranslate"><span class="pre">NormalizerAuto</span></code> ノーマライザーを使う例です。</p>
<p>実行例:</p>
<div class="highlight-none notranslate"><div class="highlight"><pre><span></span>normalize NormalizerAuto &quot;ｶﾞ&quot;
# [
#   [
#     0,
#     1547239424.874337,
#     0.0001468658447265625
#   ],
#   {
#     &quot;normalized&quot;: &quot;ガ&quot;,
#     &quot;types&quot;: [
#     ],
#     &quot;checks&quot;: [
#     ]
#   }
# ]
</pre></div>
</div>
</div>
<div class="section" id="see-also">
<h2><span class="section-number">7.7.2.1.4. </span>参考<a class="headerlink" href="#see-also" title="このヘッドラインへのパーマリンク">¶</a></h2>
<ul class="simple">
<li><p><a class="reference internal" href="../commands/normalize.html"><span class="doc">normalize</span></a></p></li>
</ul>
</div>
</div>


            <div class="clearer"></div>
          </div>
        </div>
      </div>
      <div class="sphinxsidebar" role="navigation" aria-label="main navigation">
        <div class="sphinxsidebarwrapper">
  <h3><a href="../../index.html">目次</a></h3>
  <ul>
<li><a class="reference internal" href="#">7.7.2.1. <code class="docutils literal notranslate"><span class="pre">NormalizerAuto</span></code></a><ul>
<li><a class="reference internal" href="#summary">7.7.2.1.1. 概要</a></li>
<li><a class="reference internal" href="#syntax">7.7.2.1.2. 構文</a></li>
<li><a class="reference internal" href="#usage">7.7.2.1.3. 使い方</a></li>
<li><a class="reference internal" href="#see-also">7.7.2.1.4. 参考</a></li>
</ul>
</li>
</ul>

  <h4>前のトピックへ</h4>
  <p class="topless"><a href="../normalizers.html"
                        title="前の章へ"><span class="section-number">7.7. </span>ノーマライザー</a></p>
  <h4>次のトピックへ</h4>
  <p class="topless"><a href="normalizer_nfkc100.html"
                        title="次の章へ"><span class="section-number">7.7.2.2. </span><code class="docutils literal notranslate"><span class="pre">NormalizerNFKC100</span></code></a></p>
<div id="searchbox" style="display: none" role="search">
  <h3 id="searchlabel">クイック検索</h3>
    <div class="searchformwrapper">
    <form class="search" action="../../search.html" method="get">
      <input type="text" name="q" aria-labelledby="searchlabel" />
      <input type="submit" value="検索" />
    </form>
    </div>
</div>
<script>$('#searchbox').show(0);</script>
        </div>
      </div>
      <div class="clearer"></div>
    </div>
    <div class="related" role="navigation" aria-label="related navigation">
      <h3>ナビゲーション</h3>
      <ul>
        <li class="right" style="margin-right: 10px">
          <a href="../../genindex.html" title="総合索引"
             >索引</a></li>
        <li class="right" >
          <a href="normalizer_nfkc100.html" title="7.7.2.2. NormalizerNFKC100"
             >次へ</a> |</li>
        <li class="right" >
          <a href="../normalizers.html" title="7.7. ノーマライザー"
             >前へ</a> |</li>
        <li class="nav-item nav-item-0"><a href="../../index.html">Groonga v10.1.1-31-g1e46ba6ドキュメント</a> &#187;</li>
          <li class="nav-item nav-item-1"><a href="../../reference.html" ><span class="section-number">7. </span>リファレンスマニュアル</a> &#187;</li>
          <li class="nav-item nav-item-2"><a href="../normalizers.html" ><span class="section-number">7.7. </span>ノーマライザー</a> &#187;</li>
        <li class="nav-item nav-item-this"><a href=""><span class="section-number">7.7.2.1. </span><code class="docutils literal notranslate"><span class="pre">NormalizerAuto</span></code></a></li> 
      </ul>
    </div>
    <div class="footer" role="contentinfo">
        &#169; Copyright 2009-2021, Brazil, Inc.
    </div>
  </body>
</html>